Subject: Re: Trying to understand alloc_skb()

From: Daniel Ann <[email-masked]>
Date: Thu, 14 Apr 2005 21:36:24 +0900

On 4/13/05, Eugene Surovegin <[email-masked]> wrote:
> Then do it. It should be trivial to unwind the stack and much simpler
> than moving this code to process context.

You know what ?? You were right about it being trivial. Didnt take me
to too long to find the line and saw what was going on.
Initially I started reading on how to put the line in process context,
but soon I realised its not something you want to spend your afternoon
on :P (Currently I dont have too many afternoons for this)

Anyway, thanks for the pointer.

Actual problem came from rtnetlink.c file where it called
rtmsg_ifinfo(). This in turn, called alloc_skb with GFP_KERNEL, rather
an GFP_ATOMIC. I guess GFP_KERNEL is right, but what's the difference
?

--=20
Daniel